<?php defined('_JEXECGS') or die ('Acceso restringido'); ?>
<script type="text/javascript">
	(function(a){a.fn.validaCampo=function(b){a(this).on({keypress:function(a){var c=a.which,d=a.keyCode,e=String.fromCharCode(c).toLowerCase(),f=b;(-1!=f.indexOf(e)||9==d||37!=c&&37==d||39==d&&39!=c||8==d||46==d&&46!=c)&&161!=c||a.preventDefault()}})}})(jQuery);
	$(function(){
        $('#txtRazon').validaCampo('abcdefghijklmnñopqrstuvwxyzáéiou1234567890');
		$('#txtDireccion').validaCampo(' abcdefghijklmnñopqrstuvwxyzáéiou1234567890');
		$('#txtTelefono').validaCampo('1234567890');
		$('#txtCelular').validaCampo('1234567890');
		$('#txtEmail').validaCampo('abcdefghijklmnopqrstuvwxyzáéiou1234567890@.');
    });
	function send(){
		var email = document.getElementById('txtEmail').value;
		var direccion = document.getElementById('txtDireccion').value;
		var celular = document.getElementById('txtCelular').value;
		var telefono = document.getElementById('txtTelefono').value;
		if(direccion.length<=0){
			alert("Ingrese la direccion");
			document.getElementById('txtDireccion').focus;
			
		}else if(celular.length<=0){
			alert("Ingrese un numero celular");
			document.getElementById('txtCelular').focus;
			
		}else if(telefono.length<=0){
			alert("Ingrese un telefono");
			document.getElementById('txtTelefono').focus;
			
		}else if(email.length<=0){
			alert("Ingrese un email");
			document.getElementById('txtEmail').focus;
			
		}else if(validarEmail( email )){
			var ruta = 'controller/ctrlUsuario.php?opt=perfil';	
			document.frm.action = ruta;
			document.frm.submit();
		}
	}
	function validarEmail( email ) {
		expr = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
		if ( !expr.test(email) ){
			alert("La direccion de correo " + email + " es incorrecta.");
			return false;
		}else{
			return true;
		}
	}
</script>
<?php
ini_set('display_errors','On');
//$_SESSION['num_identificacion'] = '0923256168';
	if(isset($_SESSION['num_identificacion'])){
		require_once($_SERVER['DOCUMENT_ROOT'].'/model/clsUsuario.php');
		$objUsuario = new clsUsuario();
		$reg=$objUsuario->MET_consultarPerfil($_SESSION['num_identificacion']);
		unset($objUsuario);
	}
?>
<form id="frm" name="frm" method="post">
<h2>Modificar perfil</h2>
<table>
<tr>
<td>
<p>Raz&oacute;n social</p>
</td>
<td>
<input name="txtRazon" type="text" class="txt_textbox" disabled="disabled" id="txtRazon" size="25" title="No usar espacios en blanco" value="<?php echo (isset($reg))?$reg['razon_social']:''; ?>" />
</td>
</tr>

<tr>
<td>
<p>RUC / CI</p>
</td>
<td>
<input name="txtIdentificacion" type="text" class="txt_textbox" disabled="disabled" id="txtIdentificacion" size="25" title="No usar espacios en blanco" value="<?php echo (isset($reg))?$_SESSION['num_identificacion']:''; ?>"  />
</td>
</tr>

<tr>
<td>
<p>Direcci&oacute;n</p>
</td>
<td>
<input name="txtDireccion" type="text" class="txt_textbox" id="txtDireccion" size="25" title="No usar espacios en blanco" value="<?php echo (isset($reg))?$reg['nom_direccion']:''; ?>"  />
</td>
</tr>

<tr>
<td>
<p>Email</p>
</td>
<td>
<input name="txtEmail" type="text" class="txt_textbox" id="txtEmail" size="25" title="No usar espacios en blanco" value="<?php echo (isset($reg))?$reg['nom_email']:''; ?>"  />
</td>
</tr>

<tr>
<td>
<p>Celular</p>
</td>
<td>
<input name="txtCelular" type="text" class="txt_textbox" id="txtCelular" size="25" title="No usar espacios en blanco" value="<?php echo (isset($reg))?$reg['num_celular']:''; ?>"  />
</td>
</tr>

<tr>
<td>
<p>Tel&eacute;fono</p>
</td>
<td>
<input name="txtTelefono" type="text" class="txt_textbox" id="txtTelefono" size="25" title="No usar espacios en blanco" value="<?php echo (isset($reg))?$reg['num_telefono']:''; ?>" />
</td>
</tr>
<!--
<tr>
<td colspan="2" style="text-align:right;">
<input name="btn_ingresar" type="button" class="txt_textbox" id="btn_ingresar" value="Actualizar" style="width:70px" onClick="send();" />
</td>
</tr>-->
</table>
</form>
<?php
	if(isset($reg)){
		unset($reg);
	}
?>
